Bug 210581 - chinese/wordpress-zh_CN and chinese/wordpress-zh_TW: update 4.5.2 -> 4.5.3 (security)
Summary: chinese/wordpress-zh_CN and chinese/wordpress-zh_TW: update 4.5.2 -> 4.5.3 (s...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, needs-patch, needs-qa, security
Depends on:
Blocks:
 
Reported: 2016-06-25 23:11 UTC by Jason Unovitch
Modified: 2016-08-29 16:32 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (miwi)
junovitch: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Unovitch freebsd_committer 2016-06-25 23:11:38 UTC
https://wordpress.org/news/2016/06/wordpress-4-5-3/

Neither of the chinese/ variants have a 4.5.3 release yet.  VuXML and other language variants to be updated shorted.  Open this PR for tracking the chinese/ variants.
Comment 1 commit-hook freebsd_committer 2016-06-25 23:18:38 UTC
A commit references this bug:

Author: junovitch
Date: Sat Jun 25 23:17:46 UTC 2016
New revision: 417499
URL: https://svnweb.freebsd.org/changeset/ports/417499

Log:
  Document Wordpress vulnerabilities fixed in 4.5.3

  PR:             210480 [1]
  PR:             210581
  Reported by:	Mihail Timofeev <9267096@gmail.com> [1]
  Security:	CVE-2016-5832
  Security:	CVE-2016-5833
  Security:	CVE-2016-5834
  Security:	CVE-2016-5835
  Security:	CVE-2016-5836
  Security:	CVE-2016-5837
  Security:	CVE-2016-5838
  Security:	CVE-2016-5839
  Security:	https://vuxml.FreeBSD.org/freebsd/bfcc23b6-3b27-11e6-8e82-002590263bf5.html

Changes:
  head/security/vuxml/vuln.xml
Comment 2 commit-hook freebsd_committer 2016-07-03 18:26:01 UTC
A commit references this bug:

Author: junovitch
Date: Sun Jul  3 18:25:17 UTC 2016
New revision: 417986
URL: https://svnweb.freebsd.org/changeset/ports/417986

Log:
  chinese/wordpress-zh_CN: update 4.5.2 -> 4.5.3

  PR:		210581
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2016-5832
  Security:	CVE-2016-5833
  Security:	CVE-2016-5834
  Security:	CVE-2016-5835
  Security:	CVE-2016-5836
  Security:	CVE-2016-5837
  Security:	CVE-2016-5838
  Security:	CVE-2016-5839
  Security:	https://vuxml.FreeBSD.org/freebsd/bfcc23b6-3b27-11e6-8e82-002590263bf5.html
  MFH:		2016Q3

Changes:
  head/chinese/wordpress-zh_CN/Makefile
  head/chinese/wordpress-zh_CN/distinfo
Comment 3 commit-hook freebsd_committer 2016-07-03 18:27:03 UTC
A commit references this bug:

Author: junovitch
Date: Sun Jul  3 18:26:17 UTC 2016
New revision: 417987
URL: https://svnweb.freebsd.org/changeset/ports/417987

Log:
  MFH: r417986

  chinese/wordpress-zh_CN: update 4.5.2 -> 4.5.3

  PR:		210581
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2016-5832
  Security:	CVE-2016-5833
  Security:	CVE-2016-5834
  Security:	CVE-2016-5835
  Security:	CVE-2016-5836
  Security:	CVE-2016-5837
  Security:	CVE-2016-5838
  Security:	CVE-2016-5839
  Security:	https://vuxml.FreeBSD.org/freebsd/bfcc23b6-3b27-11e6-8e82-002590263bf5.html

Changes:
_U  branches/2016Q3/
  branches/2016Q3/chinese/wordpress-zh_CN/Makefile
  branches/2016Q3/chinese/wordpress-zh_CN/distinfo
Comment 4 Jason Unovitch freebsd_committer 2016-07-03 18:27:35 UTC
On hold pending upstream release of zh_CN variant.
Comment 5 Rene Ladan freebsd_committer 2016-07-25 19:13:12 UTC
miwi@ resigned.
Comment 6 Jason Unovitch freebsd_committer 2016-07-30 21:16:01 UTC
Take. I'm just waiting on the zh_TW distinfo to be release. I've observed new distfiles for the Chinese variants tend to lag behind other language packs.
Comment 7 Jason Unovitch freebsd_committer 2016-08-10 02:30:34 UTC
CC new chinese/wordpress-zh_TW maintainer.

Can you please let ports-secteam@ know when the zh_TW 4.5.3 update is out?  This security update has been pending upstream release on that language.
Comment 8 Jochen Neumeister freebsd_committer 2016-08-10 13:19:17 UTC
(In reply to Jason Unovitch from comment #7)

thanks for the information. I give notice if the update has arrived.
Currently I try all the old wordpress ports of miwi get
Comment 9 Jochen Neumeister freebsd_committer 2016-08-18 08:31:37 UTC
current version is now 4.6 https://wordpress.org/news/2016/08/pepper/
Comment 10 Jochen Neumeister freebsd_committer 2016-08-22 10:14:09 UTC
wordpress-zh_CN -> 4.5.3
wordpress-zh_TW -> 4.6

PR can be closed